gi-atk-2.0.28: Atk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Atk.Objects.Registry

Contents

- Exported types
- Methods
  - getFactory
  - getFactoryType
  - setFactoryType

Description

An object used to store the GType of the factories used to create an accessible object for an object of a particular GType.

The AtkRegistry is normally used to create appropriate ATK "peers" for user interface components. Application developers usually need only interact with the AtkRegistry by associating appropriate ATK implementation classes with GObject classes via the atk_registry_set_factory_type call, passing the appropriate GType for application custom widget classes.

Synopsis

- newtype Registry = Registry (ManagedPtr Registry)
- class (GObject o, IsDescendantOf Registry o) => IsRegistry o
- toRegistry :: (MonadIO m, IsRegistry o) => o -> m Registry
- registryGetFactory :: (HasCallStack, MonadIO m, IsRegistry a) => a -> GType -> m ObjectFactory
- registryGetFactoryType :: (HasCallStack, MonadIO m, IsRegistry a) => a -> GType -> m GType
- registrySetFactoryType :: (HasCallStack, MonadIO m, IsRegistry a) => a -> GType -> GType -> m ()

# Exported types

newtype Registry Source #

Memory-managed wrapper type.

Constructors

Registry (ManagedPtr Registry) |

#### Instances

Instances details

Eq Registry Source # |
Instance details Defined in GI.Atk.Objects.Registry Methods (==) :: Registry -> Registry -> Bool Source # (/=) :: Registry -> Registry -> Bool Source #
GObject Registry Source # |
Instance details Defined in GI.Atk.Objects.Registry
ManagedPtrNewtype Registry Source # |
Instance details Defined in GI.Atk.Objects.Registry Methods toManagedPtr :: Registry -> ManagedPtr Registry Source #
TypedObject Registry Source # |
Instance details Defined in GI.Atk.Objects.Registry Methods glibType :: IO GType Source #
HasParentTypes Registry Source # |
Instance details Defined in GI.Atk.Objects.Registry
IsGValue (Maybe Registry) Source # | Convert `Registry` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Atk.Objects.Registry Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe Registry -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe Registry) Source #
type ParentTypes Registry Source # |
Instance details Defined in GI.Atk.Objects.Registry type ParentTypes Registry = '[Object]

class (GObject o, IsDescendantOf Registry o) => IsRegistry o Source #

Type class for types which can be safely cast to `Registry`, for instance with `toRegistry`.

#### Instances

Instances details

(GObject o, IsDescendantOf Registry o) => IsRegistry o Source # |
Instance details Defined in GI.Atk.Objects.Registry

toRegistry :: (MonadIO m, IsRegistry o) => o -> m Registry Source #

Cast to `Registry`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getFactory, getFactoryType, getProperty, getQdata.

#### Setters

setData, setDataFull, setFactoryType, setProperty.

## getFactory

registryGetFactory Source #

Arguments

:: (HasCallStack, MonadIO m, IsRegistry a) |
=> a | `registry`: an `Registry`
-> GType | `type`: a `GType` with which to look up the associated `ObjectFactory`
-> m ObjectFactory | Returns: an `ObjectFactory` appropriate for creating `AtkObjects` appropriate for `type`.

Gets an `ObjectFactory` appropriate for creating `AtkObjects` appropriate for `type`.

## getFactoryType

registryGetFactoryType Source #

Arguments

:: (HasCallStack, MonadIO m, IsRegistry a) |
=> a | `registry`: an `Registry`
-> GType | `type`: a `GType` with which to look up the associated `ObjectFactory` subclass
-> m GType | Returns: a `GType` associated with type `type`

Provides a `GType` indicating the `ObjectFactory` subclass associated with `type`.

## setFactoryType

registrySetFactoryType Source #

Arguments

:: (HasCallStack, MonadIO m, IsRegistry a) |
=> a | `registry`: the `Registry` in which to register the type association
-> GType | `type`: an `Object` type
-> GType | `factoryType`: an `ObjectFactory` type to associate with `type`. Must implement AtkObject appropriate for `type`.
-> m () |

Associate an `ObjectFactory` subclass with a `GType`. Note: The associated `factoryType` will thereafter be responsible for the creation of new `Object` implementations for instances appropriate for `type`.